Advertising

Enlightenment 0.21.1

 

There is an update of Enlightenment 0.21.1 ready in Sparky repository now.

Make upgrade as usually:
sudo apt-get update
sudo apt-get dist-upgrade

If you would like to make fresh installations, run:
sudo apt-get update
sudo apt-get install enlightenment

The present version of Enlightenment still uses EFL 1.17.x.
Just released EFL 1.18 Alpha provides elementary, emotion_generic_players and evas_generic_loaders merged into the EFL package, so they will be removed from Sparky repos when stable EFL 1.18 will be ready.

 

Enventor 0.9.0

 

Enventor 0.9.0 landed in Sparky repos now.

Enventor is an EDC editor with some convenient functions. It was started near the begining of June 2013, so expecting it to do everything a mature script editor does is a bit premature.

It is a visual EDC editor with real-time preview of the Edje file.
Does syntax highlighting, highlights relevant parts while editing.

Installation/upgrade from an older version:
sudo apt-get update
sudo apt-get install enventor

Enventor

 

Enlightenment 0.20.8

 

There is an update of Enlightenment 0.20.8 ready in Sparky repository now.

If you have an older version installed, simply make system upgrade:
sudo apt-get update
sudo apt-get dist-upgrade

If you would like to make fresh installations, do:
sudo apt-get update
sudo apt-get install enlightenment

Due to changes in Debian testing repos (what is normal), it’s highly recommended to make upgrade all the Enlightenment libs, which I have rebuilt too: EFL, Evas Generic loaders, Emotion Generic Players, Elementary, and Python-EFL.

If you find any problem with building the tools from source, simply let mm know that, posting it on our forums.

 

Eflete 0.6.1

 

There is a new tool from the “e” group targeted to the Enlightenment users and developers, available in the Sparky repository now: Eflete.

EFL Edje Theme Editor (eflete) is a EFL theme editor with some convenient functions. Eflete oriented towards theme editor and UI design, and not GUI over the edc syntax.

Installation:
sudo apt-get update
sudo apt-get install eflete

Eflete

The ‘eflete’ package is available as i386 and amd64 binary and as a source code package as well.

There is also a Wiki page available of the Eflete tool: eflete

 

Sparky 4.x MinimalISO installations screenshots

awesome
awesome
bspwm
bspwm
Budgie
Budgie Desktop
Common Desktop Environment
CDE
Cinnamon
Cinnamon
Deepin
Deepin
Enlightenment
Enlightenment
Fluxbox
Fluxbox
GNOME Flashback
GNOME Flashback
GNOME Shell
GNOME Shell
i3
i3
IceWM
IceWM
JWM
JWM
KDE Plasma 5
KDE Plasma 5
Lumina
Lumina
LXDE
LXDE
LXQt
LXQt
Pantheon
Pantheon
MATE
MATE
Openbox
Openbox<
PekWM
PekWM
Trinity
Trinity (TDE)
Window Maker
Window Maker

 
Back to -> Screenshots main page
 

Enventor

 

There is a new tool from the “e” group targeted to the Enlightenment developers, and available in the Sparky repos now: Enventor.

Enventor is an EDC editor with some convenient functions. It was started near the begining of June 2013, so expecting it to do everything a mature script editor does is a bit premature.

It is a visual EDC editor with real-time preview of the Edje file.
Does syntax highlighting, highlights relevant parts while editing.

Installation:
sudo apt-get update
sudo apt-get install enventor

Enventor

The ‘enventor’ package is available as an i386 and amd64 binary and as a source code package as well.

There is also a Wiki page available of the Enventor tool: wiki/doku.php/enventor

 

Enlightenment 0.20.4

 

There is an update of Enlightenment 0.20.4 ready in Sparky repository now.
EFL and friends have been updated to the latest versions 1.17.0 too.

If you have an older 0.20.3 version installed, simply make system upgrade:
sudo apt-get update
sudo apt-get dist-upgrade

If you would like to make fresh installations, do:
sudo apt-get update
sudo apt-get install enlightenment

There is one more change in the our repos – the ‘e’ packages are available as source packages too.
If you would like to build them yourself, add Sparky source repository as following: wiki/doku.php/repository
Then refresh package list:
sudo apt-get update
Then install the Enlightenment from source in the following order:
1. efl
2. evas-generic-loaders
3. emotion-generic-players
4. elementary
5. python-efl
6. enlightenment

Other “e” packages will be rebuild soon to provide source packages too.

If you find any problem with building the packages from source, simply let me know via the Contact form or post it on our forums. The most probably reason which could break the installation from source could be (hope not) missing dependencies only.

 

Advertising